1
vote
1answer
52 views

PHP 5.5 on Ubuntu with php-mcrypt: Unmet dependencies

I have an ubuntu server running with PHP 5.5 $ php -v PHP 5.5.3-1ubuntu2 (cli) (built: Oct 9 2013 14:49:12) Copyright (c) 1997-2013 The PHP Group Zend Engine v2.5.0, Copyright (c) 1998-2013 Zend ...
0
votes
0answers
40 views

How can a bog-standard Wordpress install break PHP?

I'm trying to host a Wordpress site on the root of a standard Apache setup on Ubuntu 14.04. The main page of the site loads fine, but any other page causes a "no data received" message in the browser, ...
0
votes
2answers
139 views

PHP stopped working after upgrading from 5.3 to 5.5 using PPA

I had PHP 5.3 working on an old server that my company uses. I have PHP 5.5 working on my AWS server. Both of the servers are Ubuntu. My application is working fine on my AWS server. But when I ...
0
votes
1answer
359 views

nginx - CPU usage goes to 100% and php5-fpm stops when processing concurrent requests

I am processing php file with nohup command so that it should run in background. But when I process more than 20 nohup commands then cpu usage goes to 100% and php5-fpm crashes results in connect() ...
0
votes
1answer
117 views

Installing php5-fpm but missing www.conf on ubuntu

I am installing php5-fpm on my ubuntu system but could not able to find www.conf file under pool.d directory. In my /etc/php5/fpm folder, there are only 2 directories - conf.d and pool.d Command ...
2
votes
1answer
273 views

Session variables not persistent in PHP5/Apache2/Ubuntu12

I have a website that uses session variables (in PHP) to know if the visitor is entering the website or not. If he's new, then I redirect him to the detected language. But if he's not new, you let him ...
1
vote
0answers
116 views

(111 connection refused) while connecting to upstream

I have a ubuntu 13.10 server with nginx and php5-fpm installed, the server has just been started and as such i am sure it is not a buffer or connection overload issue. I have set the site config in ...
0
votes
2answers
2k views

nginx does not seem to load memcached module for php

I have an Ubuntu machine with nginx and memcache running, and I'm trying to use PHP with Memcached. I'm getting Fatal error: Class 'Memcached' not found. The ini file is loaded from ...
-2
votes
1answer
44 views

how to make already compiled php5 shared module to static in apache 2.2

I have compiled apache 2.2 with php5 and after uncommenting loadmodule line for php in apache conf file the php started but as a shared module so is there any way to compile it as static ?
0
votes
2answers
340 views

how can I install PHP5 manually on Ubuntu

I have a new VPN with Ubuntu server 10.04 LTS which came with Mysql 5.1 installed, that was not supporting Barracuda file formats, so I manually installed and configured Mysql 5.6. Which works ...
-3
votes
4answers
141 views

How to configure Tomcat6 to run Php5 [closed]

I am using Tomcat6 as a server and i want to run php5 application on tomcat . Is there anyway to configure tomcat6 to run php on it .? I am using Ubntu 13.10 to run tomcat6
1
vote
1answer
3k views

How do you completely purge Apache, MySQL, PHP, and phpMyAdmin on Ubuntu? [closed]

I really need to completely purge my web server on Ubuntu 12.04. I have tried sudo apt-get purge apache2 php5 libapache2-mod-php5 mysql-server libapache2-mod-auth-mysql php5-mysql phpmyadmin (which ...
1
vote
3answers
328 views

Best way to have both php 5.2 and php 5.3 at the same time in Ubuntu

I am using Ubuntu 12.04. I need (this is not an option) to have both php 5.2 and php 5.3 installed. I think I need to compile 5.2 from source and keep it in /usr/local or make checkinstall. Is there ...
3
votes
2answers
814 views

Ubuntu install php5-ffmpeg

When I try to install php5-ffmpeg: apt-get install php5-ffmpeg I get an error: The following packages have unmet dependencies: php5-ffmpeg : Depends: phpapi-20090626+lfs As I understand my ...
-2
votes
1answer
196 views

Installing PHP 5.4 on Samsung Chromebook 3 which runs chroot Ubuntu Crouton [closed]

I am trying to install PHP 5.4 on a Samsung chromebook 3 running crouton.c (Crouton link: https://github.com/dnschneid/crouton) I am following the instructions for the upgrade from ...
0
votes
0answers
42 views

Cannot run php from /usr/share after upgrade to Ubuntu 12.10

I had phppgadmin and phpmyadmin running on Ubuntu 12.04 After upgrading to 12.10 (using do-release-upgrade), when I try to go to localhost/phppgadmin I get the source code of index.php instead of the ...
0
votes
1answer
143 views

Update PHP to latest version from source

I am currently running PHP 5.4.6-1ubuntu1.1 (CLI) (built: Nov 15 2012 01:18:34) on Xubuntu. I would like to update to the latest version or >= 5.4.7. Is there another way to do this instead of ...
0
votes
1answer
227 views

I am unable to install php5-apc on my Ubuntu server

I am unable to install php5-apc. I don't seem to get any errors. root@applications-server-1:~# aptitude install php5-apc The following NEW packages will be installed: php5-apc{b} 0 packages ...
1
vote
0answers
457 views

Some (but not all) cron jobs stopped running. Restarting cron fixed it, but what caused it?

I'm running Ubuntu Server 10.04 with a crontab which runs every minute, with a lot of jobs in the file. Each job is a PHP script to be executed. Earlier today, it seems that some (but not all) of the ...
1
vote
2answers
967 views

Install php 5.3.10 in ubuntu 12.04

I have been trying to downgrade the php version from php 5.4 to php 5.3. I tried removing php5, purging php5 and then reinstalling using "apt-get install php5=5.3.6-13ubuntu3.6", but it did not help, ...
1
vote
1answer
271 views

Downgrade PHP 5.4 to 5.3 on bitnami ubuntu server

I have to downgrade the php version of a bitnami ubuntu image to support some legacy codes. I tried to look for different methods that suggest using apt-get and dpkg to remove the 5.4 and install 5.3 ...
0
votes
1answer
18k views

How to install php-xml and php-mbstring on PHP 5.4.9-4?

I have added the PHP5 to UBUNTU 12.04 sudo add-apt-repository ppa:ondrej/php5 -y and installed the PHP5 php5 php5-common php5-mysql php5-xmlrpc php5-cgi php5-curl php5-gd php5-cli php5-fpm php-apc ...
2
votes
1answer
80 views

Secure against c99 and similar shells

I'm trying to secure my server as much as i can without limiting my options, so as a first step i've prevented dangerous functions with php disable_functions = "apache_child_terminate, apache_setenv, ...
0
votes
1answer
932 views

Nginx editing php.ini changes no reflecting

phpinfo says the file location is /etc/php5/fpm/php.ini. Additional .ini files parsed /etc/php5/fpm/conf.d/curl.ini, /etc/php5/fpm/conf.d/gd.ini, /etc/php5/fpm/conf.d/mcrypt.ini, ...
4
votes
3answers
1k views

php5-gd shows in “php -i | grep -i gd” but not in phpinfo();

I am trying to enable GD in my installation of Apache2, PHP5 and MySQL on my Ubuntu server. I installed php5-gd with: apt-get install php5-gd And when I run php -i I get: gd GD Support => ...
0
votes
1answer
6k views

Unable to install PHP-FPM on Apache (Failed to connect to FastCGI server)

I have been having problem installing php-fpm for use with apache2-mpm-worker. This is the guide that I am following. According to the guide's Step 5, Alias /php5-fcgi /usr/lib/cgi-bin/php5-fcgi ...
2
votes
2answers
2k views

Upgrading PHP from version 5.3 to 5.4.7

Quickly so to speak I have noticed this topic around, I have searched and there are plenty of solutions. However these solutions do not work for me, not only that but I'm intending to learn more about ...
1
vote
2answers
10k views

Installing and configuring Zend Framework 2 server-wide [Ubuntu] and test driving ZendSkeletonApplication

I'm trying to have ZF2 installed for all my subdomains at once (Ubuntu 12.04). ZF2 just launched its first stable version, so I wanted to install it on my development server and finally get my hands ...
0
votes
1answer
258 views

Ubuntu with SuPHP and Wordpress - default perms of .htaccess file gives Apache 500 Error

Wordpress creates the .htaccess file with 600 file permissions (when permalinks are configured, etc.). I had to give it 655 before SuPHP would allow the homepage to load. I thought any files should be ...
0
votes
1answer
381 views

I want to deploy my php based web application with apache-ant. How can I do that?

I googled it. But unfortunately did not get the specific answer. I am a fan of command line and typing. So now, I want to deploy my php based web application with apache-ant. How can I do that? Also I ...
2
votes
2answers
5k views

Apache2: Server reached MaxClients setting, consider raising the MaxClients setting

I'm encountering issues on a dedicated Ubuntu 12.04 LTS (Apache/2.2.22), PHP 5.3 with APC. Every few hours I see this happen: [Fri Aug 17 15:36:51 2012] [error] server reached MaxClients setting, ...
0
votes
2answers
488 views

Will compiling PHP 5.4 work on a server that has PHP 5.3 installed?

I have a dev machine with Ubuntu 12.04. I installed AMP by following directions from http://www.howtoforge.com/installing-apache2-with-php5-and-mysql-support-on-ubuntu-12.04-lts-lamp. Will it work ...
1
vote
1answer
89 views

Best way to Install Lampp setup on Ubuntu

What is the best way to install a lampp setup in ubuntu? I know to install using xampp. Is it ok for using as a central development server? Or if am installing individually what are the packages i ...
1
vote
1answer
2k views

I want to install php 5.3.9 in ubuntu 12.04 via apt-get - what repository should I add?

I want to install php 5.3.9 in ubuntu 12.04 via apt-get. apt-cache show php5-fpm only lists 5.3.10-1ubuntu3.1 and 5.3.10-1ubuntu3. There is a critical bug in 5.3.10 ( ...
1
vote
0answers
109 views

Request server url without explicit file name doesn't parse index.* files

I've set up a new vServer with apache2, php5 and mysql. When I enter my server url (e.g. example.org) in the browser it starts downloading the index.php instead of parsing it. But when I request a ...
0
votes
1answer
304 views

Can't change PHP.ini in my own server

I have a Development platform with magic_quotes_gpc Off, and I can't turn it Off on my Validation server. Both are Ubuntu 11.04 (thought the Validation server is mount under VMWare). The Dev is uses ...
1
vote
2answers
1k views

PHP is not executed on apache2

I run apache (Apache/2.2.14 Ubuntu). PHP is not executed. I noticed that the line AddType application/x-httpd-php .php .html .htm was missing from /etc/apache2/apache.conf I tried adding the line ...
0
votes
1answer
90 views

mydomain.com/info.php doesn't works but mydomain.com:8008/info.php works

Sorry the title, but I don't know how to name this question. I'm on a dedicated server on ubuntu 11.04. It runs with plesk 10.3. I change the listen port of apache 80 -> 8008 When I go into my ...
2
votes
3answers
773 views

Unknown Apache2 + PHP5 FastCGI 500 error .. caused by search engine bots?

My Ubuntu server is configured with Apache 2.2.8 and PHP 5.2.4-2ubuntu5.18 in FastCGI mode. Everything works well, except I am seeing 500 errors that only seem to come from bots accessing the server.. ...
1
vote
1answer
1k views

Mounting an S3 bucket onto a AWS Ubuntu instance issues

i'm using s3fuse to mount an s3 bucket onto ubuntu, so that i can take advantage of the storage space. here are some environment info: System Info: Linux ip-xxx-xxx-xxx-xxx 2.6.38-8-virtual ...
0
votes
2answers
663 views

php ugrade error on ubuntu: packages have unmet dependencies

if I try to upgrade php on my vps with apt-get install php5-cli i get this error: The following packages have unmet dependencies: php5-cli: Depends: libc6 (>= 2.11) but 2.6.1-1ubuntu10 is to ...
0
votes
1answer
302 views

Memcache - PHP- Ubuntu :: cd: /var/lib/memcache: No such file or directory

I installed memcache PHP module on Ubuntu 10.04 My Steps: install php5-memcache (http://pecl.php.net/package/memcache) restart apache get phpinfo() memcache memcache support enabled Version ...
3
votes
2answers
1k views

Setup PHP/MYSQL for chrooted jail (jailkit)

I'm running Ubuntu, with PHP5-FPM, mysql & Nginx I've just setup a chrooted jail with jailkit. Now I need to work out how to setup my php and mysql to work within the jail. Google search doesn't ...
-2
votes
2answers
947 views

Have Apache Parse PHP in .html Files on Ubuntu [closed]

I installed Apache and PHP by: sudo apt-get install apache2 sudo apt-get install php5 Then I created a .htaccess file in /var/www with: AddHandler application/x-httpd-php5 .html It parses PHP in ...
0
votes
2answers
1k views

PHP.ini does not load

Ok this is probably just me not knowing enough about php but here it goes. I'm on Ubuntu Hardy. I have a custom compiled version of PHP which I have compiled with these parameters. ./configure ...
0
votes
1answer
573 views

Crazy problem with Nginx, PHP5-FPM on Ubuntu

I've been trying to get a domain from shared hosting to my new VPS. Everything was working just 100% fine, and then all of a sudden rewrites stopped working, pictures that should work started ...
1
vote
2answers
339 views

Ubuntu server with Apache supporting php4,5 and 6

I have websites hosted on 1and1 and the servers default to PHP 4 and if you want PHP 5 or 6 you add "AddType x-mapp-php5(or 6) .php" and it'll run the scripts as PHP 5 or 6. There isn't a lot of ...
4
votes
5answers
8k views

What causes PHP pages to consistently download instead of running normally

I'm running a Ubuntu Server on a VM, to test out different web forum solutions. I have set up a ~/public_html/ to be accessible with the apache2 web server, and that works fine. However when I go to ...
0
votes
2answers
6k views

How to downgrade from PHP 5.3 to PHP 5.2 on Ubuntu Server 10.10?

After moving my website to the new Ubuntu Server 10.10 it started to work with errors. I know the problem is in the PHP compatibility. Insead of fixing the website I prefer to downgrade from PHP 5.3 ...
6
votes
2answers
6k views

configure: error: Cannot find php-config. Please use --with-php-config=PATH

I'm trying to install a program called phraseanet. I ran the ./configure command and run into this error: configure: error: Cannot find php-config. Please use --with-php-config=PATH I am using ...